-----------------------------------------------------------------------------
--脚本文件：wheeled_vehicle_actor_impl.lua
--功能设计：
--功能开发：page(pk)
--开发时间：2020/07/08 16:09:16
--脚本功能：载具相关脚本，pc端
--修改记录：
-----------------------------------------------------------------------------

local LBaseWheeledVehicleActor = ImportScript("ugc_common/script/core/actor/wheeled_vehicle_actor.lua").LBaseWheeledVehicleActor;
local LActor = ImportScript("ugc_common/script/mobile/actor/actor_impl.lua").LActor;

---@class LWheeledVehicleActor
LWheeledVehicleActor = LWheeledVehicleActor or class("LMeshActor", LBaseWheeledVehicleActor, LActor);

function LWheeledVehicleActor:ctor(kActor)
    self.m_kWheeledVehicleActor = kActor
    LOG_I("LWheeledVehicleActor:ctor", self, kActor, self.m_name, self.m_kStaticMeshActor)
end

function LWheeledVehicleActor:dtor()
    LOG_I("LWheeledVehicleActor:dtor()");
end

---@return boolean
---@param szMeshPath string
function LWheeledVehicleActor:SetMeshRes(szMeshPath)
    return false
    --return self.m_kWheeledVehicleActor:SetMeshRes(szMeshPath);
end
